// testbench for alivefsm
module alivefms_tb ();
reg  clk, reset, poke;
wire ack;
wire [1:0] state;
integer i;
  // instantiate the FSM
  alivefms alivefsm_tb (clk,reset,poke,ack,state);

initial  // method for testing the FSM:
begin
   // enable monitoring of wires of interest
  $monitor("reset=%d state=%d poke=%d ack=%d\n", 
           reset,state,poke,ack);
   clk = 0; reset = 1; #5    // do the reset 
   reset = 0; clk=0; #5
   poke = 1;  clk=1; #5   // poke the fsm
   poke = 0; #5           // release poke
   clk  = 0; #5           // needs a clk transition
   clk  = 1; #5
   if (ack == 1)          // check if worked as planned
      begin
        $display("SUCCESS\n");
      end
end
endmodule
